To start the afsmonitor Program
| Chapter 8. Monitoring and Auditing AFS Performance |

## To start the afsmonitor Program

1. Open a separate command shell window or use a dedicated terminal for each instance of the afsmonitor program. This window or terminal must be devoted to the exclusive use of the afsmonitor process because the command cannot be run in the background.

2. Initialize the afsmonitor program. The message `afsmonitor Collecting Statistics...`, followed by the appearance of the `System Overview` screen, confirms a successful start.

          % afsmonitor [initcmd]  [-config <configuration file>]  \
                       [-frequency <poll frequency, in seconds>]  \
                       [-output <storage file name>] [-detailed]  \
                       [-debug <turn debugging output on to the named file>] \
                       [-fshosts <list of file servers to monitor>+]  \
                       [-cmhosts <list of cache managers to monitor>+]
          afsmonitor Collecting Statistics...

   where

   initcmd

     Is an optional string that accommodates the command's use of the AFS command parser. It can be omitted and ignored.

   -config

     Specifies the pathname of an afsmonitor configuration file, which lists the machines and statistics to monitor. Partial pathnames are interpreted relative to the current working directory. Provide either this argument or one or both of the -fshosts and -cmhosts arguments. You must use a configuration file to set thresholds or customize the screen display. For instructions on creating the configuration file, see Configuring the afsmonitor Program.

   -frequency

     Specifies how often to probe the File Server and Cache Manager processes, as a number of seconds. Acceptable values range from 1 and 86400; the default value is 60. This frequency applies to both File Server and Cache Manager probes; however, File Server and Cache Manager probes are initiated and processed independent of each other. The actual interval between probes to a host is the probe frequency plus the time needed by all hosts to respond to the probe.

   -output

     Specifies the name of an output file to which to write all of the statistical data. By default, no output file is created. For information on this file, see Writing afsmonitor Statistics to a File.

   -detailed

     Formats the output file named by the -output argument to be more easily readable. The -output argument must be provided along with this flag.

   -fshosts

     Identifies each File Server process to monitor by specifying the host it is running on. You can identify a host using either its complete Internet-style host name or an abbreviation acceptable to the cell's naming service. Combine this argument with the -cmhosts if you wish, but not the -config argument.

   -cmhosts

     Identifies each Cache Manager process to monitor by specifying the host it is running on. You can identify a host using either its complete Internet-style host name or an abbreviation acceptable to the cell's naming service. Combine this argument with the -fshosts if you wish, but not the -config argument.

Writing afsmonitor Statistics to a File |  | To stop the afsmonitor program